Bug 211768 - acpi support on laptop Vaio
acpi support on laptop Vaio
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-22 08:35 EDT by Hervé Riboulot
Modified: 2008-01-07 19:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 19:17:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg output (18.98 KB, text/plain)
2006-10-22 08:35 EDT, Hervé Riboulot
no flags Details

  None (edit)
Description Hervé Riboulot 2006-10-22 08:35:51 EDT
Configuration: Vaio VGN FS285H.

Description of problem:

1- During the installation, anaconda asked for a sata or scsi module (after the
langage and keyboard choices) though the laptop didn't incorpore such
interfaces. No module was relevant and therefore the installation failed. The
acpi=off parameter was the solution to proceed.

Note that pci=off drove to a kernel panic.

2- For the installed system:

2.1- Boot with acpi on: a first message is displayed for about one minute:
"getting cpu index for acpiid 0x1". The process than resumed. The udev step took
a long time (one more minute).

When the system was launched:

* ipw2200 was set up
* no mount for the r/w DVD drive (no longer supported)
* no cpu frequency support

2.2- Boot with acpi off: 

 ipw2200 no longer in working order
* the r/w DVD drive could be mounted
* no cpu frequency support

Version-Release number of selected component (if applicable):

# lspci
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root
Port (rev 03)
00:1b.0 Audio device: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High
Definition Audio Controller (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE
Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus
Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation GeForce Go 6200 TurboCache
(rev a1)
06:03.0 CardBus bridge: Texas Instruments PCI7420 CardBus Controller
06:03.2 FireWire (IEEE 1394): Texas Instruments PCI7x20 1394a-2000 OHCI Two-Port
PHY/Link-Layer Controller
06:03.3 Mass storage controller: Texas Instruments PCI7420/7620 Combo CardBus,
1394a-2000 OHCI and SD/MS-Pro Controller
06:04.0 Network controller: Intel Corporation PRO/Wireless 2200BG Network
Connection (rev 05)
06:08.0 Ethernet controller: Intel Corporation 82562ET/EZ/GT/GZ - PRO/100 VE
(LOM) Ethernet Controller Mobile (rev 03)

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Hervé Riboulot 2006-10-22 08:35:51 EDT
Created attachment 139077 [details]
dmesg output
Comment 2 Christophe Delaere 2006-10-30 05:36:01 EST
I had the same problem on my VAIO VGN-FS315B. 
I solved (temporarily) the problem by using the last FC5 kernel (I rebuild the 
RPM on my FC6 installation). 
 
Comment 3 Hervé Riboulot 2006-10-30 06:07:59 EST
(In reply to comment #0)

New. The kernel loaded was a i586. I changed to a i386 and the issues were fixed. 

There's only one more problem to be solved: the ondemand mode for the Cpu
frequencies management does not work properly when the AC/DC controler is on (it
works well when the laptop uses its battery).


> Configuration: Vaio VGN FS285H.
> 
> Description of problem:
> 
> 1- During the installation, anaconda asked for a sata or scsi module (after the
> langage and keyboard choices) though the laptop didn't incorpore such
> interfaces. No module was relevant and therefore the installation failed. The
> acpi=off parameter was the solution to proceed.
> 
> Note that pci=off drove to a kernel panic.
> 
> 2- For the installed system:
> 
> 2.1- Boot with acpi on: a first message is displayed for about one minute:
> "getting cpu index for acpiid 0x1". The process than resumed. The udev step took
> a long time (one more minute).
> 
> When the system was launched:
> 
> * ipw2200 was set up
> * no mount for the r/w DVD drive (no longer supported)
> * no cpu frequency support
> 
> 2.2- Boot with acpi off: 
> 
>  ipw2200 no longer in working order
> * the r/w DVD drive could be mounted
> * no cpu frequency support
> 
> Version-Release number of selected component (if applicable):
> 
> # lspci
> 00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
> Processor to DRAM Controller (rev 03)
> 00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root
> Port (rev 03)
> 00:1b.0 Audio device: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High
> Definition Audio Controller (rev 03)
> 00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
> USB UHCI #1 (rev 03)
> 00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
> USB UHCI #2 (rev 03)
> 00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
> USB UHCI #3 (rev 03)
> 00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
> USB UHCI #4 (rev 03)
> 00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
> USB2 EHCI Controller (rev 03)
> 00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
> 00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge
(rev 03)
> 00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE
> Controller (rev 03)
> 00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus
> Controller (rev 03)
> 01:00.0 VGA compatible controller: nVidia Corporation GeForce Go 6200 TurboCache
> (rev a1)
> 06:03.0 CardBus bridge: Texas Instruments PCI7420 CardBus Controller
> 06:03.2 FireWire (IEEE 1394): Texas Instruments PCI7x20 1394a-2000 OHCI Two-Port
> PHY/Link-Layer Controller
> 06:03.3 Mass storage controller: Texas Instruments PCI7420/7620 Combo CardBus,
> 1394a-2000 OHCI and SD/MS-Pro Controller
> 06:04.0 Network controller: Intel Corporation PRO/Wireless 2200BG Network
> Connection (rev 05)
> 06:08.0 Ethernet controller: Intel Corporation 82562ET/EZ/GT/GZ - PRO/100 VE
> (LOM) Ethernet Controller Mobile (rev 03)
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1.
> 2.
> 3.
>   
> Actual results:
> 
> 
> Expected results:
> 
> 
> Additional info:

Comment 4 Korijander Uvek 2006-10-30 18:00:15 EST
Herve,

What exact kernel parameters do you pass to the kernel at grub to have working
system?

I have on my Sony Vaio S5 noacpi and sometimes everything works well (nice
booting, system is responsible) and sometimes it doesn't (everything is slugish,
cpu-freq is not doing his job, etc.). 

I've replaced kernel with .i686.
Comment 5 S Salvador 2006-11-03 13:05:11 EST
i got a vaio notebook vgn-s570p and it fails short of shutting down. i get the
message "Power down. acpi_power_off called" and freezes at that point. Reboot
works fine though.

i'm also experiencing some of the problems mentioned by other users - "getting
cpu index for acpiid 0x1" and udev seems to take forever, cpu scaling is not
working, and overall slugishness of the system - but only when using AC power.
Using the battery, everything works great except when shuting down. It still 
freezes as mentioned above. 
Comment 6 Korijander Uvek 2006-11-03 13:06:44 EST
Salvador, I can confirm exactly the same "symtoms" which you have.
Comment 7 Hervé Riboulot 2006-11-04 09:31:02 EST
(In reply to comment #4) Dear Korijander Uvek ,

I used the acpi=off parameter to boot the system. I then downloaded the i686
kernel and replaced the i586 that was implemented.

I re booted the system without the acpi parameter and it worked properly.

Should I mention that the init process is really fast when the laptop is on its
battery? I plug the AC power the boot is completed.

Dear Salvador,

Is the kernel a i686?

Regards
Comment 8 Phil Knirsch 2006-11-07 09:50:26 EST
This is a know current problem with FC6 and anaconda sometimes installing the
wrong kernel and therefore some important modules are missing.

See this bugzilla: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=211941

To fix this you need to manually install the latest i686 kernel either using yum
or directly rpm.

Read ya, Phil


*** This bug has been marked as a duplicate of 211941 ***
Comment 9 Korijander Uvek 2006-11-07 18:22:15 EST
Phil,

I'm aware of this issue and my kernel on Sony Vaio S5M is i686 (it was i586
after fresh FC6 install, but upgraded immediately - needed by livna packages).

Hope this helps
Comment 10 S Salvador 2006-11-07 22:42:49 EST
i'm confused... i'm getting the problems i mentioned on my first post with an
i686 kernel from the install. i even installed the i686 'testing' kernel from
the 'updates-testing' repo but got the same results. i just hope someone can go
over this issue again.
Comment 11 Phil Knirsch 2006-11-08 04:25:36 EST
Hm, ok, then i missunderstood the previous comments. Reopening the bug then as
this seems to be something different than having the wrong kernel installed.

Read ya, Phil
Comment 12 Phil Knirsch 2006-11-08 04:26:53 EST
But i'm reassigning this to the kernel component as this is clearly not a
problem of the userland ACPI daemon (acpid package ;).

Read ya, Phil
Comment 13 Jon Stanley 2007-12-30 21:32:18 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 14 Jon Stanley 2008-01-07 19:17:59 EST
Closing per previous comment.  If you can provide the requested information,
please feel free to re-open this bug.

Note You need to log in before you can comment on or make changes to this bug.